# Slooob OAuth2 docs. Make sure you are familiar with all the options before attempting to configure this gem.
# https://developer.slooob.com/docs/api/identity/v1

Rails.application.config.middleware.use OmniAuth::Builder do
    # Default usage
    provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET']

    # # Default options
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'email public', incremental_authorization: false, image_size: 'raw'
    #
    # # Image Sizes
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], image_size: 'raw' # => 800x800
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], image_size: 'big' # => 350x350
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], image_size: 'medium' # => 100x100
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], image_size: 'small' # => 75x75
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], image_size: 'tiny' # => 50x50
    #
    # # Incremental Authorization
    # # To only specify the scopes that your application has not been authorized for by a given user, enable `incremental_authorization`.
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], incremental_authorization: true
    #
    # # More Scopes
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'private' # => adds private information about the user to the returned hash
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'modify' # => grants permission to use the Slooob API v1 for a given user
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'ads' # => grants permission to use the Ads API v1 for a given user
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'cloud' # => grants permission to use the Cloud API v1 for a given user
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'messaging' # => grants permission to use the Messaging API v1 for a given user
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'ocode' # => grants permission to use the Ocode API v1 for a given user
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'pages' # => grants permission to use the Pages API v1 for a given user
    # provider :slooob, ENV['SLOOOB_KEY'], ENV['SLOOOB_SECRET'], scope: 'payments' # => grants permission to use the Payments API v1 for a given user
end
